restapi
4 TopicsHow can I know the timeout settings or retry settings allowed for semantic model on my server?
So I can tell from the refresh history that I have about 5 datasources that were set to have timeout and retry attempts. It looks like it retries about 4 times. How can I tell the number of retry attempts a datasource has on my server? Or the current time out value? I am just not sure where those settings might be.Solved2.8KViews2likes9CommentsError: Generate token request for proxy model should include the core model ID
Trying to use RLS with PowerBi embedded analytics, when I tested a POST request to generate token: POST https://api.powerbi.com/v1.0/myorg/GenerateToken I'm receiving following error: { "error": { "code": "InvalidRequest", "message": "Generate token request for proxy model should include the core model ID" } } This happens only in case when sending identities in request body for reports using direct query connection. If it is expecting a "Core model Id" in such scenario, cannot understand what is core model Id and how to pass it in request body as request body doesn't mention anything like model or modelId. For Request body structure, please see: https://learn.microsoft.com/en-us/rest/api/power-bi/embed-token/generate-tokenSolved7.8KViews1like10CommentsRESTAPI /datasets()/dependentitems "No HTTP resource" Error
The /datasets()/dependentitems and /datasets()/properties endpoints of the SSRS/PBIRS REST API is returning a "No HTTP resource was found that matches the request URI" error. For example, I can pull the basic information for an existing dataset: invoke-restmethod "https://xxxxxxx/reports/api/v2.0/DataSets(e03c9b1a-5369-423f-9172-91c6975f4274)" -UseDefaultCredentials @odata.context : https://xxxxxx/reports/api/v2.0/$metadata#DataSets/$entity Id : e03c9b1a-5369-423f-9172-91c6975f4274 Name : ExecutionStatus Description : Path : /ecubic/SystemsAdmin/Datasets/ExecutionStatus Type : DataSet Hidden : False Size : 882 ModifiedBy : INTRA\MCDONALDG ModifiedDate : 2013-03-18T11:28:34.21-04:00 CreatedBy : INTRA\MCDONALDG CreatedDate : 2013-03-18T11:28:34.21-04:00 ParentFolderId : 69e44497-8184-4039-8a21-716eb02fa8a0 IsFavorite : False ContentType : Content : HasParameters : False QueryExecutionTimeOut : 0 Roles : {} But attempting to list the dependent items of the dataset results in an error: invoke-restmethod "https://xxxxxxxx/reports/api/v2.0/DataSets(e03c9b1a-5369-423f-9172-91c6975f4274)/DependentItems" -UseDefaultCredentials invoke-restmethod : {"error":{"code":"","message":"No HTTP resource was found that matches the request URI 'https://xxxxxx/reports/api/v2.0/DataSets(e03c9b1a-5369-423f-9172-91c6975f4274)/DependentItems'."}} At line:1 char:1 + invoke-restmethod "https://xxxxxxx/reports/api/v2.0/DataSets(e ... + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ + CategoryInfo : InvalidOperation: (System.Net.HttpWebRequest:HttpWebRequest) [Invoke-RestMethod], WebExc eption + FullyQualifiedErrorId : WebCmdletWebResponseException,Microsoft.PowerShell.Commands.InvokeRestMethodCommand Retrieving depdendent items works for other supported item types such as datasources and reports. Can anyone else confirm this behavior or if this is a known issue? Thx683Views0likes1CommentError when trying to change PowerBI report parameters with the API
Hi, I am trying the new option within the API with Reporter Server October 2020 version to update parameters. The idea is that the PowerBI report is deployed to different servers and I will update the parameter "servername" with the matching server name. I am following the guide here: https://docs.microsoft.com/en-us/power-bi/report-server/connect-data-source-apis This works fine unless the parameter contains a special character. In my case Swedish characters like (å). When I want to change the parameter and the parameter value contains this character it shows me this error: "Unable to apply new parameters: System.Collections.Generic.List`1[Model.DataModelParameter] to the datastore due to Microsoft.ReportingServices.Portal.Interfaces.Exceptions.InvalidDataModelParameterException: There was an error uploading your .pbix file. Verify that the file has not been corrupted and that the file extension matches the format of the file. ---> System.Net.ProtocolViolationException: Bytes to be written to the stream exceed the Content-Length bytes size specified.\r\n at System.Net.ConnectStream.InternalWrite(Boolean async, Byte[] buffer, Int32 offset, Int32 size, AsyncCallback callback, Object state)\r\n at System.Net.ConnectStream.Write(Byte[] buffer, Int32 offset, Int32 size)\r\n at System.IO.StreamWriter.Flush(Boolean flushStream, Boolean flushEncoder)\r\n at System.IO.StreamWriter.Dispose(Boolean disposing)\r\n at System.IO.TextWriter.Dispose()\r\n at Microsoft.ReportingServices.Portal.ODataWebApi.Utils.PbixReportHelper.BuildUpdateDataModelParametersWebRequest(Guid catalogId, IList`1 dataModelParameters, String powerBiUri, ILogger logger, IPrincipal userPrincipal, String reportServerHostName)\r\n at Microsoft.ReportingServices.Portal.ODataWebApi.Utils.PbixReportHelper.UpdateDataModelParametersInPowerBI(Guid catalogId, IList`1 dataModelParameters, String powerBiUri, ILogger logger, IPrincipal userPrincipal, String reportServerHostName)\r\n at Microsoft.ReportingServices.Portal.ODataWebApi.Common.PowerBIReportsControllerHelper.UpdateDataModelParametersInAS(Guid id, IList`1 parameters)\r\n --- End of inner exception stack trace ---\r\n at Microsoft.ReportingServices.Portal.ODataWebApi.Common.PowerBIReportsControllerHelper.UpdateDataModelParametersInAS(Guid id, IList`1 parameters)\r\n at Microsoft.ReportingServices.Portal.ODataWebApi.V2.Controllers.PowerBIReportsController.<PostDataModelParameters>d__33.MoveNext()" I have found som indication as this is an issue with Invoke-WebRequest which is used when I follow the example mentioned earlier. Anyone else seen this issue and found a solution? Stefan2.7KViews0likes8Comments